Package org.drinkless.tdlib

# Class TdApi.GetLogTagVerbosityLevel

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.LogVerbosityLevel>
org.drinkless.tdlib.TdApi.GetLogTagVerbosityLevel

Enclosing class:
  `TdApi`

public static class TdApi.GetLogTagVerbosityLevel extends TdApi.Function<TdApi.LogVerbosityLevel>
Returns current verbosity level for a specified TDLib internal log tag. Can be called synchronously.

Returns `LogVerbosityLevel`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `tag`
  Logging tag to change verbosity level.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetLogTagVerbosityLevel()`
  Default constructor for a function, which returns current verbosity level for a specified TDLib internal log tag.
  `GetLogTagVerbosityLevel(String tag)`
  Creates a function, which returns current verbosity level for a specified TDLib internal log tag.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### tag

    public String tag
    Logging tag to change verbosity level.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetLogTagVerbosityLevel

    public GetLogTagVerbosityLevel()
    Default constructor for a function, which returns current verbosity level for a specified TDLib internal log tag. Can be called synchronously.

    Returns `LogVerbosityLevel`

  - ### GetLogTagVerbosityLevel

    public GetLogTagVerbosityLevel(String tag)
    Creates a function, which returns current verbosity level for a specified TDLib internal log tag. Can be called synchronously.

    Returns `LogVerbosityLevel`

    Parameters:
      `tag` - Logging tag to change verbosity level.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.LogVerbosityLevel>`
    Returns:
      this.CONSTRUCTOR